Subject: [sipcore] RFC 3263 - why require use port in Request-URI?

From: Nancy Greene <[email-masked]>
Date: Sun, 14 Mar 2010 23:10:16 -0400

I have a question on section 4.2 of RFC 3263: 
 
Why is it that the port of the Request-URI is required to be used for an intermediate proxy? Is the issue that it is not known whether the next hop proxy is intermediate or is the actual destination in the Request-URI? 

If so shouldn't there at least be a procedure described to use the port from DNS instead of the one in the Request-URI if sending to the one in the Request-URI fails?

Section 4.2 from RFC 3263 (locating SIP servers):

If the TARGET was not a numeric IP address, but a port is present        
in the URI, the client performs an A or AAAA record lookup of the
domain name. The result will be a list of IP addresses, each of
which can be contacted at the specific port from the URI and
transport protocol determined previously.

Nancy

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 15 Mar 2010 09:08:23 -0400

Nancy,

Questions such as this should be brought to 
<[email-masked]>.

To answer your question...

The port from the URI is to be used *if* it is present in the URI.
(Would you prefer to *ignore* it?)

If the the port is *not* present in the URI, then the port is obtained 
from DNS via the SRV query. That is explained further on in the same 
section of the document.

	Thanks,
	Paul

Nancy Greene wrote:
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>

---

From: Nancy Greene <[email-masked]>
Date: Mon, 15 Mar 2010 09:32:37 -0400

Thanks for the answer, but I'd like to know why the RFC is written the way it is. 

What if there is an intermediate SIP proxy between the target in the Request-URI and the proxy trying to reach it? That intermediate SIP proxy does not allow traffic on the port mentioned in the Request-URI, so the request fails to reach the target.  This does not seem right. Shouldn't the RFC at the very least require a retry at the port that the intermediate proxy expects traffic on?

Nancy

-----Original Message-----
From: Paul Kyzivat [mailto:[email-masked]] 
Sent: March-15-10 9:08 AM
To: Nancy Greene
Cc: [email-masked]
Subject: Re: [sipcore] RFC 3263 - why require use port in Request-URI?

Nancy,

Questions such as this should be brought to <[email-masked]>.

If the the port is *not* present in the URI, then the port is obtained from DNS via the SRV query. That is explained further on in the same section of the document.

	Thanks,
	Paul

Nancy Greene wrote:
> domain name. The result will be a list of IP addresses, each of which 
> can be contacted at the specific port from the URI and transport 
> protocol determined previously.
> 
> Nancy
>  
>

---

From: Adam Roach <[email-masked]>
Date: Mon, 15 Mar 2010 09:15:18 -0500

[as WG chair]

Nancy:

Paul is correct. This is the type of question that belongs on 
<[email-masked]>, not the standards development 
mailing list. Please redirect your queries there.

In practice, I believe you are confused about what section 4.2 actually 
says. Someone on the sip-implementors list should be able to help 
clarify things for you.

Thanks.

/a

On 3/15/10 08:32, Mar 15, Nancy Greene wrote:
> Questions such as this should be brought to<[email-masked]>.
>